Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.xri3.impl
Class XRI3Constants

    java.lang.Object
      org.openxri.xri3.impl.XRI3Constants

    public class XRI3Constants

extends java.lang.Object

Field Summary
`static java.lang.String` | `AUTHORITY_PREFIX`
`static java.lang.String` | `FRAGMENT_PREFIX`
`static java.lang.Character[]` | `GCS_ARRAY`
`static java.lang.Character` | `GCS_AT`
`static java.lang.Character` | `GCS_DOLLAR`
`static java.lang.Character` | `GCS_EQUALS`
`static java.lang.Character` | `GCS_PLUS`
`static java.lang.Character[]` | `LCS_ARRAY`
`static java.lang.Character` | `LCS_BANG`
`static java.lang.Character` | `LCS_STAR`
`static java.lang.String` | `PATH_PREFIX`
`static java.lang.String` | `QUERY_PREFIX`
`static java.lang.String` | `XREF_END`
`static java.lang.String` | `XREF_START`
`static XRI3` | `XRI_NULL`
`static java.lang.String` | `XRI_SCHEME`

Constructor Summary
`XRI3Constants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XRI_SCHEME

    public static final java.lang.String XRI_SCHEME

See Also:
  Constant Field Values

### AUTHORITY_PREFIX

    public static final java.lang.String AUTHORITY_PREFIX

See Also:
  Constant Field Values

### PATH_PREFIX

    public static final java.lang.String PATH_PREFIX

See Also:
  Constant Field Values

### QUERY_PREFIX

    public static final java.lang.String QUERY_PREFIX

See Also:
  Constant Field Values

### FRAGMENT_PREFIX

    public static final java.lang.String FRAGMENT_PREFIX

See Also:
  Constant Field Values

### XREF_START

    public static final java.lang.String XREF_START

See Also:
  Constant Field Values

### XREF_END

    public static final java.lang.String XREF_END

See Also:
  Constant Field Values

### XRI_NULL

    public static final XRI3 XRI_NULL

### GCS_EQUALS

    public static final java.lang.Character GCS_EQUALS

### GCS_AT

    public static final java.lang.Character GCS_AT

### GCS_PLUS

    public static final java.lang.Character GCS_PLUS

### GCS_DOLLAR

    public static final java.lang.Character GCS_DOLLAR

### LCS_STAR

    public static final java.lang.Character LCS_STAR

### LCS_BANG

    public static final java.lang.Character LCS_BANG

### GCS_ARRAY

    public static final java.lang.Character[] GCS_ARRAY

### LCS_ARRAY

    public static final java.lang.Character[] LCS_ARRAY

Constructor Detail

### XRI3Constants

    public XRI3Constants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.